# Power Draw Data Smart View Power Draw data provides the near real-time power usage of the power circuits in your cages and cabinets. You can view the total and contracted kVA draw and ratio for all cages, cabinets, and circuits in your IBX in the Smart View portal and API. In order to access your Power Draw data, you need `Smart View` and `View Power Draw Data` [permissions](https://docs.equinix.com/iam/colocation-access-control/managing-user-permissions.md) for each of your IBX locations. ## Current Power Draw[​](#current-power-draw "Direct link to Current Power Draw") * Portal * API Sign in to the [Smart View portal](https://ibxsmartview.equinix.com). If you are signed into the [Customer Portal](https://portal.equinix.com), select *Smart View* from the global navigation menu. To view current power draw data, select an IBX location from your Dashboard and click **Details** in the *Power Draw* tile. ![](https://docs.equinix.com/assets/images/power-draw-tile-2b69368ba16c80fb79255bb09fa697ff.png) The *Current Power Draw* graph shows: * Total Draw-to-Contracted kVA ratio * Total kVA draw * Contracted kVA (power draw cap) ![](https://docs.equinix.com/assets/images/power-draw-current-ce7140e5873f57feb381350f5963c7b0.png) Use the drop-down filter to view the power draw for a zone, cage, or circuit in the IBX. If you are using the API, you must submit an authentication token, see [API Authentication](https://docs.equinix.com/equinix-api/api-authentication.md) for instructions. To view power draw data, send a `GET` request to the [`/power/v1/current`](https://docs.equinix.com/api-catalog/smartviewv2/dcim-power-apis/getcurrentpowerdata.md) endpoint. Specify your account number and IBX location information as a query parameter in your request. Sample cURL request: ``` curl -X GET 'https://api.equinix.com/power/v1/current?accountNo=&ibx=&levelType=ibx&levelValue=' -H 'Authorization: Bearer ' ``` To further filter your data to a specific cage, cabinet, or circuit, use the additional query parameters. Sample cURL request: ``` curl -X GET 'https://api.equinix.com/power/v1/current?accountNo=&ibx=&levelType=cabinet&levelValue=' -H 'Authorization: Bearer ' ``` > **Note** > > If you do not know the IBX code, cage ID, cabinet ID, or circuit ID, use the [`/smartview/v1/hierarchy/power`](https://docs.equinix.com/api-catalog/smartviewv2/smartview-hierarchy-apis/getpowerhierarchy.md) endpoint to retrieve your power hierarchy data. ### Trends and Tasks[​](#trends-and-tasks "Direct link to Trends and Tasks") * Portal * API The *Trends and Tasks* tab shows the 7-day peak draw cap over different time periods: * Now compared to yesterday. * Now compared to last week. * Now compared to last month. * Now compared to last quarter. ![](https://docs.equinix.com/assets/images/power-draw-trends-tasks-9c6f9dc6c2167430179f5657f476847d.png) Use the *Current Power Draw* drop-down filter to filter the data to a zone, cage, or circuit in the IBX. To view 7-day peak draw cap comparison data, send a `GET` request to the [`/power/v1/current`](https://docs.equinix.com/api-catalog/smartviewv2/dcim-power-apis/getcurrentpowerdata.md) endpoint. Specify your account number and IBX location information as a query parameter in your request. Sample cURL request: ``` curl -X GET 'https://api.equinix.com/power/v1/current?accountNo=&ibx=&levelType=ibx&levelValue=' -H 'Authorization: Bearer ' ``` The responses `comparisonData` object, contains the peak percentage kVA comparison between `percentageKva` and `yesterday`, `lastWeek`, `lastMonth`, and `lastQuarter`. Sample response (truncated): ``` ... "percentageKva": 341.54, "comparisonData": { "datapoint": "percentageKva", "yesterday": 0.147, "lastWeek": -0.295, "lastMonth": -0.184, "lastQuarter": 52.434 }, ... ``` To further filter your comparison data to a specific cage, cabinet, or circuit, use the additional query parameters. Sample cURL request: ``` curl -X GET 'https://api.equinix.com/power/v1/current?accountNo=&ibx=&levelType=cabinet&levelValue=' -H 'Authorization: Bearer ' ``` ### Graph View[​](#graph-view "Direct link to Graph View") * Portal * API You can view the power draw kVA to max allowed (%) for every 15 minute interval in a given time period. Click **Graph View** to view the data in a graphical format. ![](https://docs.equinix.com/assets/images/power-draw-graphical-ce7140e5873f57feb381350f5963c7b0.png) Choose up to five cages, cabinets, or circuits from the drop-down filter below the graph to see a graphical comparison of their power usage. Choose a timeframe to trend the data you want to view from the last day, week, or month. To customize the date range, use the calendar. To view the power draw kVA to max allowed (%) in a given time period, send a `GET` request to the [`/power/v1/trending`](https://docs.equinix.com/api-catalog/smartviewv2/dcim-power-apis/gettrendingpowerdata.md) endpoint. Use the query parameters to specify: * Your Account number and IBX location. * The interval of the data points, from `recording`, `1h`, or `1d`. * The start time expressed as epoch time in milliseconds. * The end time expressed as epoch time in milliseconds. Sample cURL request: ``` curl -X GET 'https://api.equinix.com/power/v1/trending?accountNo=&ibx=&levelType=ibx&levelValue=&interval=&fromDate=&toDate=' -H 'Authorization: Bearer ' ``` To further filter your data to a specific cage, cabinet, or circuit, use the additional query parameters. Sample cURL request: ``` curl -X GET 'https://api.equinix.com/power/v1/trending?accountNo=&ibx=&levelType=cabinet&levelValue=&interval=&fromDate=&toDate=' -H 'Authorization: Bearer ' ``` ## Cages[​](#cages "Direct link to Cages") The *Cages* table displays details of the power draw for your cages, cabinets, and circuits within the IBX. ![](https://docs.equinix.com/assets/images/power-draw-cages-108745ed54032241aac7d5cd52286af1.png) Expand each cage to view cabinet data. Expand each cabinet to the circuit level for detailed information. Colored highlighting indicates that a cage, cabinet, or circuit is approaching its draw cap level of total-to-contracted kVA ratio (%). * When the power draw of an asset is within 10% of its draw cap, the system highlights the **Total Draw-to-Contracted kVA %** value in yellow. * When the power draw of an asset exceeds its draw cap, the system highlights the **Total Draw-to-Contracted kVA %** value in red. ## Generate Reports[​](#generate-reports "Direct link to Generate Reports") Export the configured trend of a dataset to create a report. You can generate a PDF document from the data used to generate the trend. Create specific reports or view all **Recently Generated** reports, **Advanced Reports**, and **Saved Templates** from the lower section of the page. ![](https://docs.equinix.com/assets/images/environmental-reports-3e5104252eefefbb750c79ad209a6d01.png)